name: blacknet
description: Mobile wallet for Blacknet.

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 3.0.2

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  fluro: ^1.5.0
  flutter_localizations:
    sdk: flutter
  shared_preferences: ^0.5.3
  json_annotation: ^2.0.0
  event_bus: ^1.1.0
  http: 0.12.0+2
  after_layout: ^1.0.7+2
  flutter_screenutil: ^0.4.0
  bip39: ^1.0.3
  toggle_button: ^1.0.1
  bech32: ^0.1.1
  hex: ^0.1.2
  blake2b: ^0.1.2
  bip_bech32: ^0.1.3
  fixnum: ^0.10.9
  cookie_jar: ^1.0.0
  # 网络库 https://github.com/flutterchina/dio
  dio: ^2.1.16
  # https://github.com/ReactiveX/rxdart
  rxdart: ^0.22.5
  # Dart 常用工具类库 https://github.com/Sky24n/common_utils
  common_utils: ^1.1.3
  # Flutter 常用工具类库 https://github.com/Sky24n/flustars
  flustars: 0.2.6+1
  passcode_screen: ^1.0.2
  # 状态管理 https://github.com/rrousselGit/provider
  provider: ^3.1.0+1
  # Toast插件 https://github.com/OpenFlutter/flutter_oktoast
  oktoast: ^2.2.0
  loading: ^1.0.1

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.2
  #sqflite插件
  sqflite: ^1.1.3
  #load
  progress_dialog: ^1.2.0
  flutter_progress_dialog: ^0.1.0
  #qrcode scanner
  majascan: ^0.3.5
  # flutter_qr_reader: ^1.0.3
  #qrcode
  qr_flutter: ^3.1.0
  #webview
  webview_flutter: ^0.3.19+2
  #url_launcher
  url_launcher: ^5.2.7

  # crypto
  flutter_secure_storage: ^3.3.1+1
  encrypt: ^3.3.1
  crypto: ^2.1.3
  device_info: ^0.4.1+4
  # get package version
  package_info: ^0.4.1
  # use local auth: faceid touchid
  local_auth: ^0.6.1
  get_it: ^3.0.3
  # blacknet lib
  blacknet_lib: ^0.0.6
    

dev_dependencies:
  flutter_test:
    sdk: flutter
  json_serializable: ^2.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
   - assets/images/logo.png
   - assets/images/1024.png
   - assets/images/state/
   

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  fonts:
    - family: RobotoMono
      fonts:
        - asset: assets/fonts/Roboto_Mono/RobotoMono-Regular.ttf
        - asset: assets/fonts/Roboto_Mono/RobotoMono-Bold.ttf
          weight: 700
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
